%global pypi_name pytest-vcr
%global file_name pytest_vcr
%global desc Py.test plugin for managing VCR.py cassettes


Name:           python-%{pypi_name}
Version:        1.0.2
Release:    2%{?dist}
Summary:        %{desc}

License:        MIT
URL:            https://pypi.python.org/pypi/pytest-vcr
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
%{desc}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest >= 2.7
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
Requires:       python3-pytest >= 2.7
Requires:       python3-vcrpy
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}


%prep
%setup -qn %{pypi_name}-%{version}
rm -rf *.egg-info


%build
%py3_build


%install
%py3_install


%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{file_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{file_name}.py*
%{python3_sitelib}/__pycache__/%{file_name}*.py*


%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.0.2-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-1
- initial build
